设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

返回列表
楼主: st788796

[教学] Pline删除节点

  [复制链接]

签到天数: 351 天

连续签到: 3 天

[LV.8]以坛为家I

已领礼包: 427个

财富等级: 日进斗金

发表于 2017-7-13 17:24:20 | 显示全部楼层

学习学习一下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对
百度谷歌雅虎搜狗搜搜有道360奇虎

使用道具 举报

签到天数: 30 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 2个

财富等级: 恭喜发财

发表于 2017-7-14 09:15:33 | 显示全部楼层
这个东西强哦~增加节点,删节点一起学习了~
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 8 天

连续签到: 1 天

[LV.3]偶尔看看II

已领礼包: 4个

财富等级: 恭喜发财

发表于 2017-7-26 14:00:10 | 显示全部楼层
删除节点  删除节点
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 352 天

连续签到: 1 天

[LV.8]以坛为家I

已领礼包: 329个

财富等级: 日进斗金

发表于 2017-7-26 19:43:49 | 显示全部楼层
大师w5555
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 1 天

连续签到: 1 天

[LV.1]初来乍到

发表于 2017-9-11 13:18:21 | 显示全部楼层
有添加的,就差这个删除的
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 73 天

连续签到: 1 天

[LV.6]常住居民II

已领礼包: 124个

财富等级: 日进斗金

发表于 2017-10-10 14:36:10 | 显示全部楼层
看看是不是很好使用,谢谢了
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 123 天

连续签到: 29 天

[LV.7]常住居民III

已领礼包: 27个

财富等级: 恭喜发财

发表于 2017-10-11 03:39:35 | 显示全部楼层
回复看看学习下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 470 天

连续签到: 1 天

[LV.9]以坛为家II

已领礼包: 1084个

财富等级: 财源广进

发表于 2017-10-13 08:52:49 | 显示全部楼层
回复看看源码
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 62 天

连续签到: 1 天

[LV.6]常住居民II

已领礼包: 28个

财富等级: 恭喜发财

发表于 2017-10-20 01:13:37 | 显示全部楼层
强大的程序。。。。。。。。。。。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 1 天

连续签到: 1 天

[LV.1]初来乍到

发表于 2017-12-4 12:17:08 | 显示全部楼层
学习一下,谢谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 87 天

连续签到: 2 天

[LV.6]常住居民II

发表于 2018-1-12 16:47:21 | 显示全部楼层
[pcode=lisp,true]
(defun c:tt ()
          (vl-load-com)
          (setq acad (vlax-get-acad-object))
          (setq acaddocument (vla-get-activedocument acad))
          (setq mspace (vla-get-modelspace acaddocument))
          (setq h (getreal "\n请输入偏移距离"))
        (setq endata (entsel "\n请选择一条线"))
          (setq p0 (cadr endata))
        (setq l1 (vlax-ename->vla-object (car endata)))
          (setq p1 (vlax-curve-getclosestpointto l1 p0 t))
          (setq ang1 (angle p1 (mapcar '+ p1 (vlax-curve-getfirstderiv l1 (vlax-curve-getparamatpoint l1 p1)))))
        (setq p2 (polar p1 (+ ang1 (/ pi 2)) h))
          (setq p3 (polar p1 (- ang1 (/ pi 2)) h))
          (setq obj (vla-insertblock mspace (vlax-3d-point p2) "11005" 1 1 1 ang1))
          (setq loop t)
         (while loop
                  (setq code (grread t 8))
                  (cond
                          ((= (car code) 5)
                         (setq ang2 (- (angle p1 (cadr code)) ang1))  
                         (if (< ang2 0)
                             (setq ang2 (+ ang2 (* 2 pi))))
                          (cond
                             ((and (> ang2 0 ) (< ang2 (/ pi 2)))               
                              (vla-put-Rotation obj ang1)               
                              (vla-put-insertionpoint obj (vlax-3d-point p2))
                              )
                             ((and (> ang2 (/ pi 2) ) (< ang2 pi))               
                              (vla-put-Rotation obj (- ang1 pi))               
                              (vla-put-insertionpoint obj (vlax-3d-point p2))
                              )
                             ((and (> ang2 pi ) (< ang2  (* 3 (/ pi 2))))               
                              (vla-put-Rotation obj (- ang1 pi))               
                              (vla-put-insertionpoint obj (vlax-3d-point p3))
                              )
                             ((and (> ang2 (* 3 (/ pi 2))) (< ang2  (* pi 2)))               
                              (vla-put-Rotation obj ang1)               
                              (vla-put-insertionpoint obj (vlax-3d-point p3))
                              )
                            )
                         )
                        ((= (car code) 25) (setq loop nil) (vla-delete obj))
                        (T (setq loop nil))
                        )
          )
  )[/pcode][pcode=lisp,true]
(defun c:tt ()
          (vl-load-com)
          (setq acad (vlax-get-acad-object))
          (setq acaddocument (vla-get-activedocument acad))
          (setq mspace (vla-get-modelspace acaddocument))
          (setq h (getreal "\n请输入偏移距离"))
        (setq endata (entsel "\n请选择一条线"))
          (setq p0 (cadr endata))
        (setq l1 (vlax-ename->vla-object (car endata)))
          (setq p1 (vlax-curve-getclosestpointto l1 p0 t))
          (setq ang1 (angle p1 (mapcar '+ p1 (vlax-curve-getfirstderiv l1 (vlax-curve-getparamatpoint l1 p1)))))
        (setq p2 (polar p1 (+ ang1 (/ pi 2)) h))
          (setq p3 (polar p1 (- ang1 (/ pi 2)) h))
          (setq obj (vla-insertblock mspace (vlax-3d-point p2) "11005" 1 1 1 ang1))
          (setq loop t)
         (while loop
                  (setq code (grread t 8))
                  (cond
                          ((= (car code) 5)
                         (setq ang2 (- (angle p1 (cadr code)) ang1))  
                         (if (< ang2 0)
                             (setq ang2 (+ ang2 (* 2 pi))))
                          (cond
                             ((and (> ang2 0 ) (< ang2 (/ pi 2)))               
                              (vla-put-Rotation obj ang1)               
                              (vla-put-insertionpoint obj (vlax-3d-point p2))
                              )
                             ((and (> ang2 (/ pi 2) ) (< ang2 pi))               
                              (vla-put-Rotation obj (- ang1 pi))               
                              (vla-put-insertionpoint obj (vlax-3d-point p2))
                              )
                             ((and (> ang2 pi ) (< ang2  (* 3 (/ pi 2))))               
                              (vla-put-Rotation obj (- ang1 pi))               
                              (vla-put-insertionpoint obj (vlax-3d-point p3))
                              )
                             ((and (> ang2 (* 3 (/ pi 2))) (< ang2  (* pi 2)))               
                              (vla-put-Rotation obj ang1)               
                              (vla-put-insertionpoint obj (vlax-3d-point p3))
                              )
                            )
                         )
                        ((= (car code) 25) (setq loop nil) (vla-delete obj))
                        (T (setq loop nil))
                        )
          )
  )[/pcode]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 17 天

连续签到: 1 天

[LV.4]偶尔看看III

发表于 2018-4-6 13:33:29 | 显示全部楼层
学习了、受教受教
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 65 天

连续签到: 49 天

[LV.6]常住居民II

已领礼包: 208个

财富等级: 日进斗金

发表于 2018-4-14 06:11:32 | 显示全部楼层
非常实用,谢谢楼主
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 436 天

连续签到: 6 天

[LV.9]以坛为家II

已领礼包: 316个

财富等级: 日进斗金

发表于 2018-4-24 20:26:38 | 显示全部楼层
常回复主题
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 6 天

连续签到: 1 天

[LV.2]偶尔看看I

已领礼包: 1个

财富等级: 恭喜发财

发表于 2018-4-28 09:54:46 | 显示全部楼层
这个功能很实用!学习一下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|Archiver|手机版|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

辽公网安备 21040202000005号

GMT+8, 2018-5-26 23:27 , Processed in 0.495188 second(s), 126 queries , Gzip On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表